actions:
- command: deploy_linaro_kernel
  parameters:
    dtb: '${DTB_URL}/stih410-b2120.dtb'
    kernel: '${KERNEL_URL}/vmlinux_lt-st-b2120'
    nfsrootfs: '${ROOTFS_BUILD_URL}'
  metadata:
    defconfig: 'sti_defconfig'
    distribution: 'openembedded'
    git branch: 'lsk-sti'
    hwpack.build: '${BUILD_NUMBER}'
    hwpack.type: 'lt-st-b2120'
    rootfs.build: '322'
    rootfs.type: 'lamp-armv7a-gcc-4.9'
- command: lava_test_shell
  parameters:
    testdef_repos:
    - git-repo: git://git.linaro.org/qa/test-definitions.git
      testdef: openembedded/smoke-tests-basic.yaml
    timeout: 10800
- command: lava_test_shell
  parameters:
    testdef_repos:
    - git-repo: git://git.linaro.org/qa/test-definitions.git
      testdef: openembedded/device-tree.yaml
    timeout: 10800
- command: lava_test_shell
  parameters:
    testdef_repos:
    - git-repo: git://git.linaro.org/qa/test-definitions.git
      testdef: openembedded/kernel-version.yaml
    timeout: 10800
- command: lava_test_shell
  parameters:
    testdef_repos:
    - git-repo: git://git.linaro.org/qa/test-definitions.git
      testdef: openembedded/ltp.yaml
    timeout: 10800
- command: lava_test_shell
  parameters:
    testdef_repos:
    - git-repo: git://git.linaro.org/qa/test-definitions.git
      testdef: openembedded/perf.yaml
    timeout: 10800
- command: lava_test_shell
  parameters:
    testdef_repos:
    - git-repo: git://git.linaro.org/qa/test-definitions.git
      testdef: openembedded/pwrmgmt.yaml
    timeout: 10800
- command: submit_results
  parameters:
    server: 'http://${LAVA_SERVER}'
    stream: '${BUNDLE_STREAM_NAME}'
device_type: '${DEVICE_TYPE}'
job_name: '${BUILD_URL}'
timeout: 3600
